"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _Icons = require("../../Atoms/Icons");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _templateObject8() {
  var data = _taggedTemplateLiteral(["\n  fill: ", ";\n\n  &:hover {\n    fill: ", ";\n  }\n"]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = _taggedTemplateLiteral(["\n  padding-right: ", ";\n  fill: ", ";\n\n  &:hover {\n    fill: ", ";\n  }\n"]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = _taggedTemplateLiteral(["\n  padding-right: ", ";\n  fill: ", ";\n\n  &:hover {\n    fill: ", ";\n  }\n"]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = _taggedTemplateLiteral(["\n  padding-left: ", ";\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  padding-top: 0.325rem;\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  font-weight: 600;\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  flex: 1 1 0%;\n  flex-direction: column;\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  display: inline-flex;\n  padding: ", ";\n  font-family: ", ";\n  background-color: ", ";\n  border-radius: ", ";\n  color: ", ";\n  box-shadow: rgba(67, 90, 111, 0.416) 0 0 1px,\n    rgba(67, 90, 111, 0.3) 0 8px 10px -4px;\n  min-width: 250px;\n  max-width: 560px;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var PADDING = '1.025rem';

var Wrapper = _styledComponents.default.div(_templateObject(), PADDING, function (props) {
  return props.theme.fontPrimary;
}, function (props) {
  return props.theme.toastBackgroundColor;
}, function (props) {
  return props.theme.toastBorderRadius;
}, function (props) {
  return props.theme.toastTextColor;
});

var Content = _styledComponents.default.div(_templateObject2());

var Title = _styledComponents.default.div(_templateObject3());

var Description = _styledComponents.default.div(_templateObject4());

var Close = _styledComponents.default.div(_templateObject5(), PADDING);

var IndicatorSuccess = (0, _styledComponents.default)(_Icons.FasCheckCircle).attrs({
  size: '16px'
})(_templateObject6(), PADDING, function (props) {
  return props.theme.successColor;
}, function (props) {
  return props.theme.successColor;
});
var IndicatorWarning = (0, _styledComponents.default)(_Icons.FasExclamationCircle).attrs({
  size: '16px'
})(_templateObject7(), PADDING, function (props) {
  return props.theme.warningColor;
}, function (props) {
  return props.theme.warningColor;
});
var IndicatorDanger = (0, _styledComponents.default)(IndicatorWarning)(_templateObject8(), function (props) {
  return props.theme.dangerColor;
}, function (props) {
  return props.theme.dangerColor;
});

var Toast = function Toast(_ref) {
  var description = _ref.description,
      onClose = _ref.onClose,
      title = _ref.title,
      type = _ref.type,
      rest = _objectWithoutProperties(_ref, ["description", "onClose", "title", "type"]);

  return _react.default.createElement(Wrapper, rest, type === 'success' && _react.default.createElement(IndicatorSuccess, null), type === 'warning' && _react.default.createElement(IndicatorWarning, null), type === 'danger' && _react.default.createElement(IndicatorDanger, null), _react.default.createElement(Content, null, _react.default.createElement(Title, null, title), description && _react.default.createElement(Description, null, description)), _react.default.createElement(Close, null, _react.default.createElement(_Icons.FasTimes, {
    onClick: onClose,
    selectable: true,
    size: "16px"
  })));
};

Toast.propTypes = {
  description: _propTypes.default.string,
  onClose: _propTypes.default.func,
  title: _propTypes.default.string.isRequired,
  type: _propTypes.default.oneOf(['default', 'danger', 'success', 'warning'])
};
Toast.defaultProps = {
  type: 'default'
};
var _default = Toast;
exports.default = _default;